Forge Home

fmeserver

This module handles the management and installation of Safe Software - FME Server

8,566 downloads

8,566 latest version

4.3 quality score

We run a couple of automated
scans to help you access a
module's quality. Each module is
given a score based on how well
the author has formatted their
code and documentation and
modules are also checked for
malware using VirusTotal.

Please note, the information below
is for guidance only and neither of
these methods should be considered
an endorsement by Puppet.

Version information

  • 1.2.0 (latest)
released Sep 11th 2015
This version is compatible with:

Start using this module

  • r10k or Code Manager
  • Bolt
  • Manual installation
  • Direct download

Add this module to your Puppetfile:

mod 'ceh-fmeserver', '1.2.0'
Learn more about managing modules with a Puppetfile

Add this module to your Bolt project:

bolt module add ceh-fmeserver
Learn more about using this module with an existing project

Manually install this module globally with Puppet module tool:

puppet module install ceh-fmeserver --version 1.2.0

Direct download is not typically how you would use a Puppet module to manage your infrastructure, but you may want to download the module in order to inspect the code.

Download

Documentation

ceh/fmeserver — version 1.2.0 Sep 11th 2015

FME Server

This module handles the management and installation of Safe Software - FME Server.

Module Description

This puppet module will obtain and automatically install FME Server for Linux. It will configure the server to run as a specific user and correctly configure the run levels as required.

Setup

What FME Server affects

  • Management of an FME user
  • Installation of fme server
  • Service management of the various fme services

Usage

Install fme server by obtaining the installtion media from a custom location

class { 'fmeserver' :
  install_source => 'http://your.local.filestore/fme-server-b15515-linux-x64.run',
}

License the fme server installation against your floating license server:

class { 'fmeserver::license' :
  license_server => 'your.licserver',
}

Enable SDE Formats

class { 'fmeserver::arcsde' :
  path => '/opt/esri/arcsde93',
}

Limitations

This module only covers the FME Server for linux and has been tested with version 2015 on Ubuntu 14.04

Contributors

Christopher Johnson - cjohn@ceh.ac.uk